Documents

Option Value Get

GET
/documents/option/{optionValueGuid}/get

Retrieves a single option value by its GUID.

Authorization

AuthorizationBearer <token>

JWT token to authenticate the request.

In: header

X-Api-Key<token>

API key, sent as a request header.

In: header

Path Parameters

optionValueGuid*string

GUID of the option value.

Formatuuid

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/documents/option/c9bf9e57-1685-4c89-bafb-ff5af830be8a/get"
{  "result": {    "data": {      "optionValue": {        "optionValueGuid": "c9bf9e57-1685-4c89-bafb-ff5af830be8a",        "entityType": "DocumentSolutionConfiguration",        "entityId": "a3bb189e-8bf9-3888-9912-ace4e6543002",        "optionDefinitionId": "",        "customKey": "watermark.text",        "customGroup": "rendering",        "value": "CONFIDENTIAL",        "effectiveKey": "watermark.text",        "effectiveGroup": "rendering",        "systemType": "string",        "createdDate": "2026-07-14T09:30:00.000Z",        "lastModifiedDate": "2026-07-14T09:30:00.000Z"      }    },    "statusCode": 200,    "message": "OK"  },  "origin": "GET https://api.doctavian.com/v1/documents/option/{optionValueGuid}/get",  "dateTime": "2026-07-14T09:30:00.000Z",  "operationId": "3cb616f7ec31eb8f4992b2470b514697",  "userId": "95001658-2df3-4f05-bb7e-95ed1f820a4a"}
{  "userId": "2ca5cad3-5cc2-4107-91b1-1d8da2c754e6",  "error": {    "statusCode": 400,    "message": "Name is required.",    "innerErrors": [      {        "code": "DATA_NAME_REQUIRED",        "message": "Name is required.",        "userMessage": "Name is required."      }    ]  },  "origin": "GET https://api.doctavian.com/v1/documents/option/{optionValueGuid}/get",  "dateTime": "2026-01-02T12:34:56.000Z",  "operationId": "6b0b2388a8d4b1eeec30c526c4d5be63"}
{  "error": {    "statusCode": 401,    "message": "The request could not be authenticated.",    "innerErrors": [      {        "code": "UNAUTHORIZED",        "message": "The request could not be authenticated.",        "userMessage": "Your session has expired or is invalid. Please sign in again."      }    ]  },  "origin": "GET https://api.doctavian.com/v1/documents/option/{optionValueGuid}/get",  "dateTime": "2026-01-02T12:34:56.000Z",  "operationId": "4875e05a2a4d801df32e0c38350120fd",  "userId": "748b2a39-7231-4b49-832b-9ef189074a21"}
{  "error": {    "statusCode": 404,    "message": "The requested resource was not found.",    "innerErrors": [      {        "code": "NOT_FOUND_BY_ID",        "message": "The requested resource was not found.",        "userMessage": "We couldn't find that resource. Check the id and try again."      }    ]  },  "origin": "GET https://api.doctavian.com/v1/documents/option/{optionValueGuid}/get",  "dateTime": "2026-01-02T12:34:56.000Z",  "operationId": "3056ca1ec76458edb46147e76a763803",  "userId": "748b2a39-7231-4b49-832b-9ef189074a21"}
{  "userId": "80ae6c59-88ba-42f1-882f-f95462821f74",  "error": {    "statusCode": 500,    "message": "An unexpected error occurred.",    "innerErrors": [      {        "code": "GET_DATA_SOURCE_ERROR",        "message": "An unexpected error occurred.",        "userMessage": "An unexpected error occurred."      }    ]  },  "origin": "GET https://api.doctavian.com/v1/documents/option/{optionValueGuid}/get",  "dateTime": "2026-01-02T12:34:56.000Z",  "operationId": "414e8f96519d58f3b5e9e0a384c5d2e5"}